Package org.globus.axis.transport.commons

# Class HTTPSSender

java.lang.Object
org.apache.axis.handlers.BasicHandler
org.apache.axis.transport.http.CommonsHTTPSender
org.globus.axis.transport.commons.HTTPSSender

All Implemented Interfaces:
  `Serializable`, `org.apache.axis.Handler`

public class HTTPSSender extends org.apache.axis.transport.http.CommonsHTTPSender
Overwrites the Axis sender to use a global connection manager

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String[]`
`PARAMS`

### Fields inherited from class org.apache.axis.transport.http.CommonsHTTPSender

`clientProperties, connectionManager, log`

### Fields inherited from class org.apache.axis.handlers.BasicHandler

`makeLockable, name, options`

## Constructor Summary

Constructors
Constructor
Description
`HTTPSSender()`

## Method Summary

Modifier and Type
Method
Description
`protected org.apache.commons.httpclient.HostConfiguration`
`getHostConfiguration(org.apache.commons.httpclient.HttpClient client, org.apache.axis.MessageContext context, URL targetURL)`
`protected void`
`initialize()`

### Methods inherited from class org.apache.axis.transport.http.CommonsHTTPSender

`handleCookie, invoke, isHostInNonProxyList, match`

### Methods inherited from class org.apache.axis.handlers.BasicHandler

`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAMS

protected static final String[] PARAMS

## Constructor Details

### HTTPSSender

public HTTPSSender()

## Method Details

### initialize

protected void initialize()

Overrides:
  `initialize` in class `org.apache.axis.transport.http.CommonsHTTPSender`

### getHostConfiguration

protected org.apache.commons.httpclient.HostConfiguration getHostConfiguration(org.apache.commons.httpclient.HttpClient client, org.apache.axis.MessageContext context, URL targetURL)

Overrides:
  `getHostConfiguration` in class `org.apache.axis.transport.http.CommonsHTTPSender`